Bug 125588 - ioports not reported as free on ISA-PCMCIA bridges
ioports not reported as free on ISA-PCMCIA bridges
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-06-09 00:02 EDT by Andrew Jorgensen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-25 15:30:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew Jorgensen 2004-06-09 00:02:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040518 Firefox/0.8

Description of problem:
When inserting my prism-based wlan card the driver (orinoco_cs) fails
to load and reports:

No matching CIS configuration, maybe you need the ignore_cis_vcc=1
GetFirstTuple: No more items

Which is totally a red herring, what's really going on (after much
digging) is that when the driver requests an ioport the kernel tells
it that the port it wants is in use. Who's using it? pcmcia-cs! Why?
because /etc/pcmcia/config.opts includes the ioport it wants! So
what's going on here? I'm not sure entirely, but something is using a
different method to request an ioport than it should because removing
the include statements from config.opts allows everything to work

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Insert wlan card into ISA-PCMCIA bridge.

Actual Results:  orinoco_cs driver can't find ioport to use.

Expected Results:  driver should be able to find a port.

Additional info:

My bridge is a Vadem VG-469 ISA-to-PCMCIA.

A workaround for systems like mine is to remove the 'include port'
lines from /etc/pcmcia/config.opts.
Comment 1 Matthew Miller 2005-04-26 12:26:46 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 John Thacker 2006-10-25 15:30:58 EDT
Closed per above message and lack of response.  Note that FC2 is not even
supported by Fedora Legacy currently.

Note You need to log in before you can comment on or make changes to this bug.